terminal.app (0.9.9-2) unstable; urgency=medium

  * Fix Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 07:38:38 +0100

terminal.app (0.9.9-1) unstable; urgency=medium

  * New upstream release (identical to 0.9.8.1 which was actually a
    snapshot of SVN trunk and not a proper release).
  * debian/patches/FTBFS-kFreeBSD: Refresh and fix yet another FTBFS on
    GNU/kFreeBSD.
  * debian/patches/fix-int-to-pointer-cast.patch: New (Closes: #749796).
  * debian/patches/check-write-return-value.patch: New, check the return
    value of `write'; fixes a compiler warning.
  * debian/patches/series: Update.
  * debian/compat: Bump compat level to 10.
  * debian/control (Build-Depends): Bump debhelper requirement to >= 10.
    Remove imagemagick and dpkg-dev; no longer needed.  Require
    gnustep-make >= 2.7.0-3 for recent config.mk.
    (Vcs-Git, Vcs-Browser): Use secure/canonical URIs.
    (Standards-Version): Claim compliance with 4.1.2 as of this release.
  * debian/menu:
  * debian/clean: Delete.
  * debian/install: Don't install the .xpm icon.
  * debian/preinst:
  * debian/postinst:
  * debian/prerm: Delete maintainer scripts; no longer needed.
  * debian/rules: Rewrite for modern dh.
  * debian/changelog: Whitespace cleanup.
  * debian/watch: Upgrade to version 4; use secure URI.
  * debian/Terminal.desktop: Add Keywords field.
  * debian/copyright: Update copyright years and Gürkan's name.  Use https
    for the Format field.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 08 Dec 2017 09:34:54 +0200

terminal.app (0.9.8.1-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 03 May 2017 09:49:30 +0200

terminal.app (0.9.8-2) unstable; urgency=medium

  * Update my name.
  * debian/control: drop provides x-terminal-emulator. (Closes: #848097)
  * Bump debhelper version to 9.
  * Bump standards version to 3.9.8.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 13 Jan 2017 16:56:00 +0100

terminal.app (0.9.8-1+nmu1) unstable; urgency=low

  * NMU
  * Fix FTBFS on kFreeBSD. Closes: #681135. Thanks to Petr Salinger for
    the patch.

 -- Steve McIntyre <93sam@debian.org>  Sat, 13 Oct 2012 12:04:51 +0100

terminal.app (0.9.8-1) unstable; urgency=low

  * New upstream release:
    + Fixes FTBFS with ld that defaults to --as-needed (Closes: #639040).
  * TerminalParser_LinuxPrefs.m:
  * TerminalView.m (-initWithFrame:):
  * TerminalViewPrefs.m:
  * ServicesPrefs.m: Revert all direct modifications.
  * debian/control (Maintainer, Uploaders): Make the team maintainer, add
    myself.
    (Section): Change to `gnustep'.
    (Build-Depends): Require debhelper >= 8.  Remove version requirement
    for libgnustep-gui-dev.  Add dpkg-dev (>= 1.16.1~) and imagemagick.
    Drop gnustep-make.
    (Homepage): Point to the new location.
    (Vcs-Git, Vcs-Browser): New fields.
    (Conflicts, Replaces): Remove, no longer needed.
    (Depends): Add ${misc:Depends}.
    (Standards-Version): Claim compliance with 3.9.3 as of this release.
  * debian/compat: Bump to 8.
  * debian/rules: Get rid of gs_make.  Enable hardening, verbose builds,
    support for `noopt'.
    (d_app): New convenience variable.
    (build-stamp): Convert the app icon in XPM format.
    (clean): Delete the generated icon.
    (install): Replace the deprecated `dh_clean -k' with dh_prep.  Don't
    install lintian overrides.  Install the XPM icon.
    (binary-arch): Remove unnecessary arguments to dh_installman and
    dh_shlibdeps.  Move arch-independent Resources to /usr/share.
  * debian/source/format: New file; set format to 3.0 (quilt).
  * debian/overrides: Delete.
  * debian/prerm: Don't ignore errors.
  * debian/preinst:
  * debian/watch: New file.
  * debian/menu: Add icon.
  * debian/Terminal.desktop: Make it valid.  Add Bulgarian translation.
  * debian/Terminal.1: Fix errors from man.  Update homepage.
  * debian/docs: Delete; duplicated by the manpage.
  * debian/copyright: Switch to format 1.0, update copyright years, add
    many copyright holders.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 14 Jun 2012 13:55:31 +0300

terminal.app (0.9.4+cvs20051125-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.6 (Closes: #643973).

 -- Yavor Doganov <yavor@gnu.org>  Sat, 08 Oct 2011 14:41:32 +0300

terminal.app (0.9.4+cvs20051125-6) unstable; urgency=low

  * Patch to fix rendering bug with new GNUstep version. (Closes: #595764)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 07 Sep 2010 16:17:35 +0200

terminal.app (0.9.4+cvs20051125-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use AppKit/AppKit.h instead of particular .h files (Closes: #581985).

 -- Luk Claes <luk@debian.org>  Tue, 24 Aug 2010 12:35:34 +0000

terminal.app (0.9.4+cvs20051125-5) unstable; urgency=low

  * Upload to unstable.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 02 Jul 2008 11:25:15 -0400

terminal.app (0.9.4+cvs20051125-4) experimental; urgency=low

  * GNUstep transition.
  * Update my email address.
  * Moved homepage field.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 09 Apr 2008 19:05:56 +0200

terminal.app (0.9.4+cvs20051125-3) unstable; urgency=low

  * GNUstep transition.
    + Updated debian/rules.
    + Updated debian/dirs.
  * Menu transition: Moved from XShells to Applications/Terminal Emulators.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 04 Oct 2007 12:00:33 +0200

terminal.app (0.9.4+cvs20051125-2) unstable; urgency=low

  * Recompile with libgnustep-gui-dev.
  * Bump standards version.
  * Update FSF address.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 14 Sep 2006 20:14:24 +0200

terminal.app (0.9.4+cvs20051125-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompile with libgnustep-gui0.10.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Dec 2005 17:29:26 +0100

terminal.app (0.9.4+cvs20051125-1) unstable; urgency=low

  * New maintainer. (Closes: #296626)
  * Add conflicts/replaces.
  * Rename package to terminal.app. (Closes: #241614)
  * Bump standards version.
  * Add co-maintainers.
  * Update manual page.
  * Update README.Debian.
  * Add support for the alternatives system.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 25 Nov 2005 15:35:20 +0100

terminal (0.9.4+cvs20041218-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes FTBFS on amd64/gcc-4.0, thanks to Andreas Jochens. (Closes: #288595)

 -- Philipp Kern <pkern@debian.org>  Wed, 11 May 2005 20:01:59 +0200

terminal (0.9.4+cvs20041218-0.1) unstable; urgency=low

  * Non maintainer upload.
  * New upstream release -- taken from the backbone project
    as advised by Gürkan Sengün:
    http://savannah.nongnu.org/projects/backbone.
  * Added man page.
  * README.Debian: capitalised wrapper script '/usr/bin/Terminal' to match
    what is actually installed.

 -- Jonathan Shipley <jon@windj.ath.cx>  Sun, 19 Dec 2004 13:45:28 +0000

terminal (0.9.4-2.2) unstable; urgency=low

  * NMU, adding app wrapper and menu. (Closes: #245248)
  * Updated debian/control. (Closes: #241880)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 10 Aug 2004 01:32:56 +0200

terminal (0.9.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompile using new gnustep layout.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu, 25 Sep 2003 03:08:43 +0200

terminal (0.9.4-2) unstable; urgency=low

  * Changed all the Build-Depends: stuff to be exactly what I have on
    my machine. Apparently I mucked this up somehow. (closes: Bug#199728)
  * Updated the Standards-Version to make lintian shut up, and to look all
    cool

 -- Evan Prodromou <evan@debian.org>  Wed,  2 Jul 2003 17:14:49 -0400

terminal (0.9.4-1) unstable; urgency=low

  * New upstream release
  * removed the watch file, since the project moved and the new download
    directory doesn't map well to the watchfile format.
  * Updated copyright file to show new release location.

 -- Evan Prodromou <evan@debian.org>  Fri, 16 May 2003 10:36:49 -0700

terminal (0.9.3-3) unstable; urgency=low

  * Rebuild for new GNUstep libraries in Debian.

 -- Evan Prodromou <evan@debian.org>  Sat,  5 Apr 2003 13:16:57 +0100

terminal (0.9.3-2) unstable; urgency=low

  * Removed wrapper script and updated menu file to execute Terminal.app
    directly.
  * Removed dh_undocumented call.
  * Fixed copyright file to make lintian stop squawking.

 -- Evan Prodromou <evan@debian.org>  Mon, 17 Mar 2003 14:05:34 +0000

terminal (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Updated Build-Depends for new GNUstep libs.

 -- Evan Prodromou <evan@debian.org>  Thu, 12 Dec 2002 17:04:35 +0100

terminal (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Updated build depends for new GNUstep versions

 -- Evan Prodromou <evan@debian.org>  Mon, 23 Sep 2002 13:49:29 +0200

terminal (0.9.1b-1) unstable; urgency=low

  * New upstream release

 -- Evan Prodromou <evan@debian.org>  Sun,  8 Sep 2002 13:40:14 -0700

terminal (0.9.1-4) unstable; urgency=low

  * Rebuild for new version of GNUstep gui, base, and make.
  * Removed build dependency on the compiler, per gnustep-make changelog
    entry.

 -- Evan Prodromou <evan@debian.org>  Mon,  5 Aug 2002 11:17:17 -0400

terminal (0.9.1-3) unstable; urgency=low

  * Rebuild for new version of GNUstep gui and base.

 -- Evan Prodromou <evan@debian.org>  Wed, 24 Jul 2002 16:44:05 -0400

terminal (0.9.1-2) unstable; urgency=low

  * dh_strip problems fixed in debhelper 4.0.7. So, changed build
    dependencies and removed my_strip hack.

 -- Evan Prodromou <evan@debian.org>  Sat, 29 Jun 2002 21:08:20 -0400

terminal (0.9.1-1) unstable; urgency=low

  * Some meager documentation now in the README file.
  * New upstream release

 -- Evan Prodromou <evan@debian.org>  Fri, 28 Jun 2002 09:35:24 -0400

terminal (0.3.21-1) unstable; urgency=low

  * New upstream release

 -- Evan Prodromou <evan@debian.org>  Fri, 21 Jun 2002 22:34:43 -0400

terminal (0.3.19-2) unstable; urgency=low

  * Updated Build-Depends.

 -- Evan Prodromou <evan@debian.org>  Mon, 17 Jun 2002 18:33:48 -0400

terminal (0.3.19-1) unstable; urgency=low

  * Initial Release (closes: Bug#150181).

 -- Evan Prodromou <evan@debian.org>  Sun, 16 Jun 2002 13:23:59 -0400
